import type { NextPage } from 'next'
import { Layouts, Widgets } from '@tesseract-design/viewfinder-react';
import {Span} from '@tesseract-design/viewfinder-base';
import Link from 'next/link';
import {Brand} from '../../components/Brand';
import {DummyLinks} from '../../components/DummyLinks';

const RightSidebarStaticLayoutPage: NextPage = () => {
  return (
    <Layouts.RightSidebarStatic.Root
      sidebarBaseWidget={
        <Widgets.RightSidebarStaticBase
          span={Span.WIDE}
          style={{
            backgroundColor: 'inherit',
          }}
        >
          <Layouts.RightSidebarStatic.SidebarContentContainer>
            Sidebar
          </Layouts.RightSidebarStatic.SidebarContentContainer>
        </Widgets.RightSidebarStaticBase>
      }
      topBarWidget={
        <Widgets.TopBar
          brand={
            <Brand />
          }
          style={{
            backgroundColor: 'inherit',
          }}
          span={Span.WIDE}
        >
          <DummyLinks />
        </Widgets.TopBar>
      }
    >
      <Layouts.RightSidebarStatic.MainContentContainer>
        Hello
      </Layouts.RightSidebarStatic.MainContentContainer>
    </Layouts.RightSidebarStatic.Root>
  )
}

export default RightSidebarStaticLayoutPage
